<template>
  <div class="games-page">
    <section class="games-section-content">
      <h3>Games</h3>
      <div class="games-card-container">
        <div v-for="(game, index) in games" :key="index" class="game-card">
          <div class="game-card-content">
            <div class="game-hover-btn">
              <button class="btn-primary" type="button" name="button">Play Now</button>
            </div>
            <img :src="'images/' + game.img" alt="">
          </div>
          <h4>{{game.title}}</h4>
        </div>
      </div>
    </section>
  </div>
</template>


<script>
import { mapGetters } from 'vuex';

export default {
  async fetch({ store }) {
    await store.dispatch('games/getItems');
  },
  data() {
    return { }
  },
  computed: {
    ...mapGetters({
      games: 'games/items'
    }),
  }
}
</script>
